# Class GuardianSetData

#### Hierarchy

- GuardianSetData

- Defined in utils/accounts/guardianSet.ts:38

#####
Index

### Constructors

constructor

### Properties

creationTime
expirationTime
index
keys

### Methods

deserialize

## Constructors

### constructor

- new GuardianSetData(index, keys, creationTime, expirationTime): GuardianSetData

- #### Parameters

  - ##### index: number

  - ##### keys: Buffer[]

  - ##### creationTime: number

  - ##### expirationTime: number

  #### Returns GuardianSetData

  - Defined in utils/accounts/guardianSet.ts:44

## Properties

### creationTime

creationTime: number

- Defined in utils/accounts/guardianSet.ts:41

### expirationTime

expirationTime: number

- Defined in utils/accounts/guardianSet.ts:42

### index

index: number

- Defined in utils/accounts/guardianSet.ts:39

### keys

keys: Buffer[]

- Defined in utils/accounts/guardianSet.ts:40

## Methods

### `Static` deserialize

- deserialize(data): GuardianSetData

- #### Parameters

  - ##### data: Buffer

  #### Returns GuardianSetData

  - Defined in utils/accounts/guardianSet.ts:56

Generated using TypeDoc